Loading...
Searching...
No Matches
pappso::spectree Namespace Reference

## Classes

class | Bucket
class | BucketClustering
class | ItemCart
| container for spectree items More...
class | SpecTree
class | SpecXtractInterface
| yield similarities between pairs of ItemCart More...
class | SpecXtractMap
| store all similarities in vectors an map : very costly for memory and CPU More...

## Functions

template<class K, class T, class C, class A, class Predicate>
void | erase_if (std::map< K, T, C, A > &c, Predicate pred)

## Function Documentation

## erase_if()

template<class K, class T, class C, class A, class Predicate>

void pappso::spectree::erase_if | ( | std::map< K, T, C, A > & | c,
|  | Predicate | pred )

Definition at line 51 of file bucketclustering.cpp.

{
for(auto i = c.begin(), last = c.end(); i != last;)
if(pred(*i))
i = c.erase(i);
else
++i;
}
pappso::PeptideIonNter::c
@ c
Definition peptide.h:81
pappso::QualifiedMassSpectrumParameter::last
@ last
Definition qualifiedmassspectrum.h:71

References pappso::c, and pappso::last.

Referenced by pappso::spectree::BucketClustering::removeBucketsWithinCartIdRange().